
CoCoALib - Bug #1121

PrevPrime and NextPrime anomalies

13 Nov 2017 15:18 - John Abbott

Status: Rejected Start date: 13 Nov 2017

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Maths Bugs Estimated time: 0.22 hour

Target version: CoCoALib-0.99600 Spent time: 0.20 hour

Description

I am confused by the behaviour of NextPrime and PrevPrime.

Starting from 10^17 in CoCoA-5, running NextPrime 100 times is quite quick.

Starting from the result of the previous computation, running PrevPrime is much slower.

I tried replicating the computation in CoCoALib, and got ERR::NYI  ?!?

Investigate!!

History

#1 - 13 Nov 2017 15:37 - John Abbott

- Status changed from New to Rejected

- Assignee set to John Abbott

- % Done changed from 0 to 100

ERR::UtenteScemo!!

I somehow failed to notice that the loop also failed in CoCoA-5... oops!

Oddly enough, I failed to notice several more times (even after becoming aware of not having noticed before... very odd)

#2 - 03 Aug 2018 15:48 - John Abbott

- Estimated time set to 0.22 h
